package com.heyu.api.data.dao.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaMinutesStatisticsEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaMinutesStatisticsDao extends BaseMapper<CalcaMinutesStatisticsEntity> {


	CalcaMinutesStatisticsEntity selectCalcaMinutesStatisticsById(@Param("id")Long id);


	Long insertCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	Long insertOrUpdateCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int updateCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int updateCoverCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics);


	int deleteCalcaMinutesStatisticsById(@Param("id")Long id);


}